Subject: bug#29892: dvtm does not properly export terminfo

From: Jelle Licht <[email-masked]>
Date: Thu, 4 Jan 2018 16:20:04 +0100

Hello,

2018-01-01 18:19 GMT+01:00 Ludovic Courtès <[email-masked]>:

> Hi!
>
> Jelle Licht <[email-masked]> skribis:
>
> > As far as I can see, the current version of dvtm does not work properly
> > with programs such as htop etc.
> >
> > To reproduce:
> > ```
> > $ guix package -i dvtm
> > $ dvtm
> > $ htop
> > ```
> > It only worked properly once I added something like:
> > `export TERMINFO_DIRS="/home/jelle/.guix-profile/share/terminfo"`.
> >
> > Would a proper fix be to simply add a native-search-path declaration to
> the
> > dvtm package? If so, I can prepare a patch this weekend.
>
> ‘TERMINFO_DIRS’ is a search path of ncurses.  However, because search
> paths of dependencies are not honored, it doesn’t get set:
>
>   https://bugs.gnu.org/22138
>
> This is what we should fix.
>
Fixing this properly seems like it would take effort indeed.

>
> It would feel wrong to add ‘TERMINFO_DIRS’ as a search path of dvtm and
> everything that depends on ncurses.
>

Am I correct in assuming that as a temporary (personal) workaround, I can
just
install ncurses in my profile as well?

Perhaps guix can warn if you install a package which has a dependency
with a search path like ncurses? Or would this be too much of a hassle
to implement?

It would not solve the issue, but at least prevent people from
not understanding why their packages are not working. WDYT?

> Thanks,
> Ludo’.

- Jelle